org.richfaces.fragment.dropDownMenu

## Class RichFacesDropDownMenu.AdvancedDropDownMenuInteractions

- java.lang.Object
- - org.richfaces.fragment.contextMenu.AbstractPopupMenu.AdvancedPopupMenuInteractions
  - - org.richfaces.fragment.dropDownMenu.RichFacesDropDownMenu.AdvancedDropDownMenuInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesDropDownMenu

      public class RichFacesDropDownMenu.AdvancedDropDownMenuInteractions
      extends AbstractPopupMenu.AdvancedPopupMenuInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesDropDownMenu.AdvancedDropDownMenuInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Event` | `getDefaultShowEvent()`
    `String` | `getLangAttribute()`
    `List<org.openqa.selenium.WebElement>` | `getMenuItemElements()` Returns all elements of this menu
    `org.openqa.selenium.WebElement` | `getMenuPopup()`
    `protected org.openqa.selenium.WebElement` | `getScriptElement()`
    `protected Event` | `getShowEvent()`
    `org.openqa.selenium.WebElement` | `getTopLevelElement()`
    `void` | `setShowEvent(Event showEvent)`

    - ### Methods inherited from class org.richfaces.fragment.contextMenu.AbstractPopupMenu.AdvancedPopupMenuInteractions

      `getItemsElements, getShowDelay, getTargetElement, getTimeoutForPopupMenuToBeNotVisible, getTimeoutForPopupMenuToBeVisible, hide, isVisible, setHideDelay, setHideDelay, setShowDelay, setShowDelay, setShowEvent, setShowEventFromWidget, setTarget, setTarget, setTargetFromWidget, setTimeoutForPopupMenuToBeNotVisible, setTimeoutForPopupMenuToBeVisible, show, show, show, waitUntilIsNotVisible, waitUntilIsVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesDropDownMenu.AdvancedDropDownMenuInteractions

          public RichFacesDropDownMenu.AdvancedDropDownMenuInteractions()

  - ### Method Detail

    - #### getMenuPopup

          public org.openqa.selenium.WebElement getMenuPopup()

      Specified by:
        `getMenuPopup` in class `AbstractPopupMenu.AdvancedPopupMenuInteractions`

    - #### getMenuItemElements

          public List<org.openqa.selenium.WebElement> getMenuItemElements()

      Description copied from class: `AbstractPopupMenu.AdvancedPopupMenuInteractions`
      Returns all elements of this menu
      Specified by:
        `getMenuItemElements` in class `AbstractPopupMenu.AdvancedPopupMenuInteractions`
      Returns:

    - #### getScriptElement

          protected org.openqa.selenium.WebElement getScriptElement()

      Specified by:
        `getScriptElement` in class `AbstractPopupMenu.AdvancedPopupMenuInteractions`

    - #### getLangAttribute

          public String getLangAttribute()

    - #### getTopLevelElement

          public org.openqa.selenium.WebElement getTopLevelElement()

    - #### getDefaultShowEvent

          protected Event getDefaultShowEvent()

      Overrides:
        `getDefaultShowEvent` in class `AbstractPopupMenu.AdvancedPopupMenuInteractions`

    - #### setShowEvent

          public void setShowEvent(Event showEvent)

      Overrides:
        `setShowEvent` in class `AbstractPopupMenu.AdvancedPopupMenuInteractions`

    - #### getShowEvent

          protected Event getShowEvent()

      Overrides:
        `getShowEvent` in class `AbstractPopupMenu.AdvancedPopupMenuInteractions`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.